Subject: Re: bug#39344: 28.0.50; Gnus: Selecting deleted buffer

From: Stephen Berman <[email-masked]>
Date: Wed, 29 Jan 2020 15:20:01 +0100

On Wed, 29 Jan 2020 15:02:09 +0100 Robert Pluim <[email-masked]> wrote:

>>>>>> On Wed, 29 Jan 2020 14:56:13 +0100, Stephen Berman
> <[email-masked]> said:
>
>     Stephen> Yes, that seems to fix the problem too.
>
> So now all we have to do is figure out why the duplicate entry is
> happening

Or forestall it in gnus-add-buffer as Andreas pondered?

>           (or just apply one of the two patches and get on with our
> day :-))

BTW, gnus-kill-buffer at the end of the dolist looping over gnus-buffers
also checks buffer-live-p, apparently redundantly here (though there are
46 uses of gnus-kill-buffer and I haven't looked to see if they need the
check).  But I'm afraid I have to get on with my day now, so feel free
to patch or further debug...

Steve Berman